Subject: 23.0.60; Weird X11 input-related hang

From: <[email-masked]>
Date: Mon, 12 May 2008 09:34:50 -0600 (MDT)

For quite some time I have seen a strange bug where emacs (running under
X11) would occasionally stop responding to keyboard and mouse events.  The
editor is still alive, and will change the cursor block in response to
focus events, but mouse clicks and keystrokes have no effect.  The only way
I've found to recover is to kill the emacs process and start over.

Today I figured out how to reproduce it: move the pointer to the menubar at
the top of the window, then move the scroll wheel for a click or two.
Works every time.  Does not appear to be dependent on major mode.

This happens with stock emacs as shipped by Fedora and my own pretest
builds too.

In GNU Emacs 23.0.60.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.12.0)
 of 2007-12-15 on vena
Windowing system distributor `The X.Org Foundation', version 11.0.10499901
configured using `configure  '--with-gtk' '--enable-font-backend' '--with-xft' '--with-gif=no''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: MH-Folder

Minor modes in effect:
  hl-line-mode: t
  display-time-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> i d M-x r e p o r t - b u g <return> <backspace> 
<backspace> <backspace> e m a c s - b u g <return>

Recent messages:
nmh 1.2 installed as MH variant
Loading /home/corbet/emacs/lwn.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Scanning +inbox...done
Threading +inbox...done
inc +inbox...done
No more undeleted messages